(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (factory((global['http-status'] = global['http-status'] || {}, global['http-status'].umd = global['http-status'].umd || {}, global['http-status'].umd.min = global['http-status'].umd.min || {}, global['http-status'].umd.min.js = {})));
}(this, (function (exports) { 'use strict';

  /**
   * Enum for http status codes.
   *
   * @enum {number}
   *
   * @property {200} OK       - The request has succeeded. [More info]{@link https://tools.ietf.org/html/rfc7231#section-6.3.1}
   * @property {201} Created  - The request has been fulfilled and has resulted
   *   in one or more new resources being created. [More info]{@link https://tools.ietf.org/html/rfc7231#section-6.3.2}
   * @property {202} Accepted - The request has been accepted for processing,
   *   but the processing has not been completed. [More info]{@link https://tools.ietf.org/html/rfc7231#section-6.3.3}
   *
   * @example
   * req.send({ status: HttpStatus.OK });
   */
  (function (HttpStatus) {
      HttpStatus[HttpStatus["OK"] = 200] = "OK";
      HttpStatus[HttpStatus["CREATED"] = 201] = "CREATED";
      HttpStatus[HttpStatus["ACCEPTED"] = 202] = "ACCEPTED";
  })(exports.HttpStatus || (exports.HttpStatus = {}));

  Object.defineProperty(exports, '__esModule', { value: true });

})));
